/* Copyright (C) 1996 Free Software Foundation, Inc.
This file is part of the GNU C Library.

The GNU C Library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

The GNU C Library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with the GNU C Library; see the file COPYING.LIB.  If
not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.  */
#include <ansidecl.h>
#include <stddef.h>

#ifndef HAVE_GNU_LD
#define _sys_siglist    sys_siglist
#endif

/*
 *  This is a list of all known signal numbers.
 */

CONST char *CONST _sys_siglist[] =
{
    "Signal 0",
    "Hangup",
    "Interrupt",
    "Quit",
    "Illegal instruction",
    "Trace/BPT trap",
    "IOT trap",
    "EMT trap",
    "Floating point exception",
    "Killed",
    "Bus error",
    "Segmentation fault",
    "Bad system call",
    "Broken pipe",
    "Alarm clock",
    "Terminated",
    "User defined signal 1",
    "User defined signal 2",
    "Child exited",
    "Power-fail restart",
    "Window size changes",
    "Urgent I/O condition",
    "Pollable event occured",
    "Stopped (signal)",
    "Stopped",
    "Continued",
    "Stopped (tty input)",
    "Stopped (tty output)",
    "Virtual timer expired",
    "Profiling timer expired",
    "Cputime limit exceeded",
    "Filesize limit exceeded",
    "Signal 32",
    "System reserved signal 33",
    "System reserved signal 34",
    "System reserved signal 35",
    "System reserved signal 36",
    "System reserved signal 37",
    "System reserved signal 38",
    "System reserved signal 39",
    "System reserved signal 40",
    "System reserved signal 41",
    "System reserved signal 42",
    "System reserved signal 43",
    "System reserved signal 44",
    "System reserved signal 45",
    "System reserved signal 46",
    "System reserved signal 47",
    "System reserved signal 48",
    "Real-time signal RTMIN",
    "Real-time signal RTMIN+1",
    "Real-time signal RTMIN+2",
    "Real-time signal RTMIN+3",
    "Real-time signal RTMIN+4",
    "Real-time signal RTMIN+5",
    "Real-time signal RTMIN+6",
    "Real-time signal RTMIN+7",
    "Real-time signal RTMIN+8",
    "Real-time signal RTMIN+9",
    "Real-time signal RTMIN+10",
    "Real-time signal RTMIN+11",
    "Real-time signal RTMIN+12",
    "Real-time signal RTMIN+13",
    "Real-time signal RTMIN+14",
    "Real-time signal RTMAX",
    NULL
};
